*** Pinterest for WooCommerce Changelog ***

= 1.4.23 - 2025-11-24 =
* Fix - Remove feed file on deactivation.
* Tweak - WC 10.4 compatibility.
* Tweak - WP 6.9 compatibility.

= 1.4.22 - 2025-10-28 =
* Fix - Issue where `product_type` include more then 5 categories if a product included more.
* Tweak - Update use of `wp_json_encode` to avoid potential browser parsing issues.
* Tweak - WC 10.3 compatibility.
* Tweak - WP 6.8 compatibility.

= 1.4.21 - 2025-06-16 =
* Update WP Consent API to affect all tracking with improved architecture.
* [dev] Pin Github actions to immutable references of commits instead of tags.

= 1.4.20 - 2025-06-03 =
* Tweak - Reenable WP Consent API tracking integration.

= 1.4.19 - 2025-05-29 =
* Add CAPI enablement modal to encourage merchants to enable Conversions API.
* Enable Conversions API in OAuth flow and settings UI.

= 1.4.18 - 2025-05-20 =
* Tweak - WC 9.9 compatibility.

= 1.4.17 - 2025-03-18 =
* Add - PHP 8.4 compatibility.
* Fix - Add feed status data fallback to empty data sets.
* Fix - Site locale is obtained from settings.
* Tweak - WC 9.8 compatibility.

= 1.4.16 - 2025-02-11 =
* Add - UTM parameters to the products URLs used in the product feed.
* Dev - Updating code styling rules.
* Tweak - WC 9.7 compatibility.

= 1.4.15 - 2025-01-21 =
* Tweak - WC 9.6 compatibility.

= 1.4.14 - 2024-12-18 =
* Tweak - WC 9.5 compatibility.

= 1.4.13 - 2024-12-04 =
* Add - Admin notice of a failed Pinterest account status.
* Update - Do not disconnect on the Action Scheduler action failure.
* Update - Failed actions to log the errors.

= 1.4.12 - 2024-11-07 =
* Tweak - WC 9.4 compatibility.
* Tweak - WP 6.7 compatibility.

= 1.4.11 - 2024-10-23 =
* Add - API method to get commerce integration.
* Add - Commerce Integration `partner_metadata` weekly sync.
* Add - Failed Create Commerce Integration API call retries procedure.
* Add - Weakly heartbeat action.
* Update - Make `integration_data` optional for the extension.

= 1.4.10 - 2024-09-24 =
* Dev - Tests suits update.
* Fix - 403 Pinterest API error response is not the reason to auto-disconnect.
* Fix - Feed Deletion Failure notice duplicates removal.
* Fix - Reuse existing feed, if any.

= 1.4.9 - 2024-09-12 =
* Tweak - WC 9.3 compatibility.

= 1.4.8 - 2024-08-29 =
* Fix - Detect no product error in the page_visit tracking.
* Release/1.4.7.

= 1.4.7 - 2024-08-26 =
* Add - Adding admin notice in case of feed deletion error.
* Add - Call to disconnect from Pinterest on deactivation.
* Dev - Fixing SKU Unit tests.
* Fix - Pagination on Feed Issues table.
* Fix - Pinterest Save button positioning.
* Fix - Reset internal feed status on disconnect.
* Tweak - New .pot file.

= 1.4.6 - 2024-08-13 =
* Dev - Update dependency.
* Tweak - Add the website's domain to the Pinterest feed name.
* Tweak - WC 9.2 compatibility.

= 1.4.5 - 2024-07-19 =
* Tweak - replace locale source function.

= 1.4.4 - 2024-07-10 =
* Add - Billing status info in the Settings UI
* Fix - Token invalid reset procedure
* Fix - Checkbox control UI with WordPress 6.6
* Tweak - WC 9.1 compatibility.
* Tweak - WP 6.6 compatibility.

= 1.4.3 - 2024-06-25 =
* Tweak - Remove `feature_flag` connection info data key.
* Update - Disabling CAPI tracker.

= 1.4.2 - 2024-06-13 =
* Add - Versioning and compatibility checks to implement support policy.
* Fix - Release v1.4.1.
* Fix - Undefined array key "path" warning thrown by DomainVerification.php.
* Tweak - Adds WooCommerce as a dependency to the plugin header.
* Tweak - Revert to WooCommerce.com domain.

= 1.4.1 - 2024-05-01 =
* Add - Heartbeat actions cleanup
* Update - Mandatory condition on tracking
* Update - pinit.js script import to match with Pinterest documentation
* Update - Error cases handling for discounts
* Tweak - Advertiser ID missing exception
* Fix - Missing Order ID into custom_data array for Checkout CAPI event.
* Fix - Fix tooltip UI issue in Settings page
* Fix - Correct coupons information

= 1.4.0 - 2024-04-02 =
* Add - CAPI: A new conversion system for reporting from the plugin to Pinterest.
* Add - Support for platforms using persistent object caches like Memcached.
* Add - Automatic token exchange and refresh token handling for improved OAuth management.
* Add - Twenty Twenty-Four theme support.
* Update - API update to V5.
* Update - Tag implementation updated to work in conjunction with CAPI.
* Update - Logging system enhanced for more granular debugging.
* Update - Caching enabled on feed status endpoints for improved performance.
* Update - Redirect to the cart page after successful addition WooCommerce setting support.
* Update - Plugin deactivation and uninstall behavior now properly implemented.
* Tweak - Multiple smaller adjustments for improved stability and performance.
* Dev - Plugin now uses the new middleware for connection.

= 1.3.24 - 2024-04-01 =
* Tweak - WC 8.8 compatibility.

= 1.3.23 - 2024-03-12 =
* Tweak - WC 8.7 compatibility.
* Tweak - WP 6.5 compatibility.

= 1.3.22 - 2024-02-20 =
* Fix - Currency and credit information missing at domain verification step.
* Fix - PHP notices and warnings in PHP 8.2 and PHP 8.3.

= 1.3.21 - 2024-02-14 =
* Tweak - WC 8.6 compatibility.

= 1.3.20 - 2024-01-12 =
* Fix - Use proper redeem code format.

= 1.3.19 - 2024-01-09 =
* Tweak - Changed minimum WC version to 6.3.
* Tweak - WC 8.5 compatibility.

= 1.3.18 - 2023-12-27 =
* Fix - Pinterest duplicated notices.
* Fix - Product Editor transient notice shift.
* Fix - Wrong feed generation items counter.

= 1.3.17 - 2023-12-19 =
* Dev - Update Woo.com developer blog URLs.
* Update - promo code for 2024.

= 1.3.16 - 2023-12-13 =
* Tweak - Make sure `feed_location` has a full URL.

= 1.3.15 - 2023-11-28 =
* Add - Compatibility with the Cart and Checkout blocks.

= 1.3.14 - 2023-11-14 =
* Tweak - Add Pinterest businesses API exception handling.

= 1.3.13 - 2023-11-07 =
* Fix - Doc - Use new Woo.com domain.
* Tweak - WC 8.3 compatibility.
* Tweak - WP 6.4 compatibility.

= 1.3.12 - 2023-10-19 =
* Dev - Add phpcs on changed files only.

= 1.3.11 - 2023-10-10 =
* Dev - automate merging trunk to develop after a release.
* Tweak - WC 8.2 compatibility.

= 1.3.10 - 2023-09-12 =
* Dev - Updates PHPUnit version, unit tests, and matrix in git workflow for PHP8.2 compatibility.

= 1.3.9 - 2023-09-05 =
* Add - Adds logic to dynamically display spend requirement and credits given based on store currency.
* Fix -  Uninstall procedure.
* Tweak - WC 8.1 compatibility.

= 1.3.8 - 2023-08-15 =
* Fix - Caching of API calls.
* Fix - Make add to cart events independent from WooCommerce archive page settings.

= 1.3.7 - 2023-08-09 =
* Tweak - Don't fetch the allowed countries list when not connected.
* Tweak - Increase allowed countries cache lifetime to two days.
* Tweak - WC 8.0 compatibility.
* Tweak - WP 6.3 compatibility.
* Update - Add missing countries to the allowed countries list.

= 1.3.6 - 2023-07-25 =
* Dev - Add release preparation GH workflow.

= 1.3.5 - 2023-06-28 =
* Tweak - WC 7.9 compatibility.

= 1.3.4 - 2023-06-21 =
* Fix - Fixed error when getting transient for a key of null value.
* Fix - Release 1.3.3 - merge trunk into develop.
* Tweak - Generate a new pot file for translations.

= 1.3.3 - 2023-06-13 =
* Tweak - WC 7.8 compatibility.

= 1.3.2 - 2023-06-06 =
* Fix - Ensure there is no fatal error for PHP 8+ during activation.

= 1.3.1 - 2023-06-06 =
* Update - Pinterest feed generator backoff adjustments.

= 1.3.0 - 2023-05-30 =
* Add - Integration with WooCommerce multichannel marketing dashboard.
* Fix  -  Remove feed configuration during plugin uninstall procedure.
* Fix - Connection flow not redirection the wizard view.

= 1.2.21 - 2023-05-02 =
* Tweak - WC 7.7 compatibility.

= 1.2.20 - 2023-04-26 =
* Fix - Unescaped `add_query_arg` function calls.

= 1.2.19 - 2023-04-18 =
* Fix - Escape product name for JS tracker.
* Fix - On backorder items missing from the feed.
* Fix - When a new feed configuration is created it should be updated in the pinterest.com config.

= 1.2.18 - 2023-04-11 =
* Add - Automatic enhanced match support.
* Add - Support to sync setting changes from Pinterest to the plugin.
* Fix - Fatal error if cart is not set.

= 1.2.17 - 2023-04-05 =
* Add - Enhanced match documentation link.
* Tweak - WC 7.6 compatibility.
* Update - Merchant disapproval reasons.

= 1.2.16 - 2023-03-21 =
* Fix - Undefined variable when caching API requests.

= 1.2.15 - 2023-03-14 =
* Tweak - WC 7.5 compatibility.
* Tweak - WP 6.2 compatibility.

= 1.2.14 - 2023-03-07 =
* Fix - Add retry mechanism for the feed generation.

= 1.2.13 - 2023-02-22 =
* Add - WordPress locale to Pinterest locale mapping.
* Fix - Prevent fatal error if retrieving account fails during onboarding.
* Fix - Prevent multiple active feed files.
* Fix - Price inconsistencies when tax region is different than shipping zone.

= 1.2.12 - 2023-02-14 =
* Dev - Remove deprecated argument call from inside a hook action handler function.

= 1.2.11 - 2023-02-07 =
* Dev - Fix deprecated method argument version.
* Dev - Fix php8.2 deprecation notices.
* Fix - Inconsistencies with the add to cart tracking event.
* Tweak - WC 7.4 compatibility.
* Update - The Onboarding task to use `TaskLists::add_task` method instead of the deprecated `woocommerce_admin_onboarding_task_list` filter.

= 1.2.10 - 2023-01-26 =
* Add - Pull supported countries from the API.
* Fix - Disable pin button if Chrome extension is detected.
* Fix - Doc/add include exluce filters to docs.
* Fix - Missing Attributes form on Simple products.

= 1.2.9 - 2023-01-24 =
* Add - Plugin connection and feed registration status tracking.
* Add - Recent feed generation time and feed product count tracking.
* Fix - Add backlog automation.

= 1.2.8 - 2023-01-03 =
* Dev - Add node and npm version restrictions.
* Fix - Prevent failed to `feed_report` if there is no feed registered.
* Tweak - WC 7.3 compatibility.

= 1.2.7 - 2022-12-16 =
* Add - Warning message duplicated meta tags.
* Fix - Update Tracking.php.
* Fix - Update wording in filter descriotion, tracking disable fiter.
* Fix - Use min instead of max.
* Tweak - Improve translators strings.
* Tweak - Refactor update procedures.
* Tweak - WC 7.2 compatibility.

= 1.2.6 - 2022-11-16 =
* Tweak - Add Ads Credits promotion information to the readme.txt.
* Tweak - Backoff merchant creation in case of failure.

= 1.2.5 - 2022-11-07 =
* Add - Ads Credit Campaign.
* Tweak - Declare HPOS compatibility.
* Tweak - WC 7.1 compatibility.
* Tweak - WP 6.1 compatibility.

= 1.2.4 - 2022-10-13 =
* Tweak - WC 7.0 compatibility.

= 1.2.3 - 2022-10-11 =
* Add - Warning message on potential conflicting tags.
* Dev - Add branch-labels GH workflow.
* Dev - Remove from PHP test matrix WP 5.6 and 5.7, add 5.9.
* Fix - Clear connection options during disconnection error to allow new connection.
* Fix - Display correct error if product sync is broken.
* Fix - Issue with sale price on the feed.
* Fix - Save Pin button available before finishing onboarding.
* Fix - Strip HTML from the Rich Pins description field.

= 1.2.2 - 2022-08-09 =
* Dev - GH release config and the new PR template.
* Fix - Error after domain verification.
* Tweak - WC 6.8 compatibility.

= 1.2.1 - 2022-07-01 =
* Fix - Error printing end of line character.

= 1.2.0 - 2022-06-27 =
* Add - Argentina, Colombia and Chile to ads supported countries.
* Fix - Move the <noscript> base code to <body>.
* Fix - Typo errors on translatable strings.

= 1.1.0 - 2022-06-17 =
* Add - .pot file for translators.
* Add - Inbox notifications for the onboarding process and catalog sync.
* Add - Key flows documentation.
* Add - The user will be redirected to the Get started page on first activation.
* Fix - Add plugin version to request headers.
* Fix - Error on feed generation due to orphaned variations.
* Fix - Unit tests for WooCommerce 6.5.
* Tweak - Improvements on the error logs.
* Tweak - WC 6.6 compatibility.

= 1.0.13 - 2022-05-24 =
* Add - Add action scheduler as a minimum plugin requirement.
* Add - Japan to ads supported countries.
* Add - Route to handle the plugin's settings.
* Fix - Limit the number of additional images to 10.
* Tweak - WC 6.5 compatibility.

= 1.0.12 - 2022-05-05 =
* Dev - update trusted plugins in composer.json.
* Fix - Feed generation fails if there is no eligible product.
* Fix - Fix fatal error if `get_pinterest_code()` doesn't exists on Throwable object.

= 1.0.11 - 2022-04-12 =
* Add - Clear error when the merchant is connected to another e-commerce platform.
* Add - Mexico added to supported countries.
* Fix - Currency is now being sent on the product page visit event.
* Fix - Ensure add to cart tag data is consistent.
* Fix - Price mismatch when price includes taxes.
* Fix - Unit tests failing on WC 6.4.
* Tweak - Simplify tracking code.
* Tweak - Updated the Track event generation script to prevent future errors.
* Tweak - WC 6.3 compatibility.
* Tweak - WP 5.9 compatibility.

= 1.0.10 - 2022-03-31 =
* Update - Feed Refactor with Action Scheduler Framework. ( [#368](https://github.com/woocommerce/pinterest-for-woocommerce/pull/368) )

= 1.0.9 - 2022-03-29 =
* Add    - Plugin update framework. ( [#390](https://github.com/woocommerce/pinterest-for-woocommerce/pull/390 ) )
* Tweak  - Use website verification instead of domains. ( [#391](https://github.com/woocommerce/pinterest-for-woocommerce/pull/391) )
* Tweak  - Move deactivation hook to plugin file ( [#397](https://github.com/woocommerce/pinterest-for-woocommerce/pull/397) )
* Update - Add np:woocomerce param to partner data in the tag. ( [#404](https://github.com/woocommerce/pinterest-for-woocommerce/pull/404) )
* Fix    - Remove invalid XML characters from feed. ( [#409](https://github.com/woocommerce/pinterest-for-woocommerce/pull/409) )

= 1.0.8 - 2022-03-11 =
* Update - Shipping column format. ( [#370](https://github.com/woocommerce/pinterest-for-woocommerce/pull/370) )
* Fix    - Escape XML special chars in SKU for the XML MPN section. ( [#371](https://github.com/woocommerce/pinterest-for-woocommerce/pull/371) )
* Fix    - Clean account data if user Disconnect during the onboarding process with a personal account. ( [#381](https://github.com/woocommerce/pinterest-for-woocommerce/pull/381) )
* Fix    - Do not create merchant on get_feed_state. ( [#353](https://github.com/woocommerce/pinterest-for-woocommerce/pull/353) )
* Update - Disable enhanced match support when tracking is disabled. ( [#386](https://github.com/woocommerce/pinterest-for-woocommerce/pull/386) )
* Tweak  - Take full size images for the feed. ( [#383](https://github.com/woocommerce/pinterest-for-woocommerce/pull/383) )
* Update - Enable shipping column in the feed. ( [#388](https://github.com/woocommerce/pinterest-for-woocommerce/pull/388) )

= 1.0.7 - 2022-02-24 =
* Fix - Critical error on Jetpack sites.

= 1.0.6 - 2022-02-16 =
* Fix – Fix the changelog for the 1.0.5 release by adding omitted changes.

= 1.0.5 - 2022-02-15 =
* Fix - Strip HTML shortcodes from feed.
* Fix - Make the price format consistent in the feed.
* Fix - Exclude zero price items from product feed.
* Tweak - Force logging to be enabled when setup is not complete.
* Add – Shipping column for developers and testers.

= 1.0.4 - 2022-02-03 =
* Fix - Store merchant id during the account creation. ( [#343](https://github.com/woocommerce/pinterest-for-woocommerce/pull/343) )

= 1.0.3 - 2022-01-25 =
* Fix    - Allow proper setup for new merchants with no catalogs. ( [#339](https://github.com/woocommerce/pinterest-for-woocommerce/pull/339) )

= 1.0.2 - 2022-01-25 =
* Fix    - Update and improve feedstate. ( [#240](https://github.com/woocommerce/pinterest-for-woocommerce/pull/240) )
* Add    - Tooltips for the Publish Pins and Rich Pins options on the settings page. ( [#253](https://github.com/woocommerce/pinterest-for-woocommerce/pull/253) )
* Add    - Merchant guidelines link in the setup page. ( [#255](https://github.com/woocommerce/pinterest-for-woocommerce/pull/255) )
* Add    - Show a notice on the landing page if this extension does not support store country. ( [#256](https://github.com/woocommerce/pinterest-for-woocommerce/pull/256) )
* Update - Adjust image size for additional images. ( [#268](https://github.com/woocommerce/pinterest-for-woocommerce/pull/268) )
* Fix    - Error message for merchants with declined status. ( [#272](https://github.com/woocommerce/pinterest-for-woocommerce/pull/272) )
* Add    - Pinterest Ads Manager Call To Action UI. ( [#273](https://github.com/woocommerce/pinterest-for-woocommerce/pull/273) )
* Update - Tweak the UI of claim website. ( [#286](https://github.com/woocommerce/pinterest-for-woocommerce/pull/286) )
* Update - Remove unused parameters sent in create merchant request. ( [#294](https://github.com/woocommerce/pinterest-for-woocommerce/pull/294) )
* Add    - Adding Woo Tracker for Usage Tracking. ( [#301](https://github.com/woocommerce/pinterest-for-woocommerce/pull/301) )
* Add    - Implement Events Tracking. ( [#296](https://github.com/woocommerce/pinterest-for-woocommerce/pull/296) )
* Add    - Product Attributes. ( [#303](https://github.com/woocommerce/pinterest-for-woocommerce/pull/303) )
* Update - API to v4. ( [#305](https://github.com/woocommerce/pinterest-for-woocommerce/pull/305) )
* Update - Refactor AccountConnection component. ( [#312](https://github.com/woocommerce/pinterest-for-woocommerce/pull/312) )
* Add    - Product attribute for Google product category. ( [#317](https://github.com/woocommerce/pinterest-for-woocommerce/pull/317) )
* Fix    - Onboarding wizard steps ( 2 and 3 ) are not clickable. ( [#318](https://github.com/woocommerce/pinterest-for-woocommerce/pull/318) )
* Fix    - Fetch parent id for variable product during feed xml generation. ( [#320](https://github.com/woocommerce/pinterest-for-woocommerce/pull/320) )
* Fix    - Plugin is blocking some 3rd party scripts. ( [#324](https://github.com/woocommerce/pinterest-for-woocommerce/pull/324) )
* Fix    - Multiple catalog created on pinterest with no possibility to delete them. ( [#305](https://github.com/woocommerce/pinterest-for-woocommerce/pull/305) )
* Fix    - Feed registration status is incorrect when user has more than one feed profile. ( [#335](https://github.com/woocommerce/pinterest-for-woocommerce/pull/335) )

= 1.0.1 - 2021-11-16 =
* Fix - Add PHP, JS & CSS linting GH actions.
* Fix - Enable enhanced match by default .
* Fix - Fix error with WC Session when accessing REST API endpoints publicly.
* Fix - Fix npm vulnerabilities.
* Fix - Update, clean and make green CSS & JS linters.
* Fix - Use Task List API to detect if we should show Pinterest onboarding tasks.

= 1.0.0 - 2021-10-25 =
- Initial release

